Skip to content

Retrieves devices

Request

GET {{baseURL}}/pay-api/v1/devices

This endpoint retrieves the list of registered devices.

See Also:
To create or update a device, see POST /pay-api/v1/devices.
To generate a tap-to-pay token for a device, see POST /pay-api/v1/devices/tap-to-pay/jwt.
To retrieve a device by ID, see GET /pay-api/v1/devices/{deviceId}.
To activate tap-to-pay for a device, see POST /pay-api/v1/devices/{deviceId}/tap-to-pay/activate.

Security
Bearer
curl -i -X GET \
  https://developer.flute.com/_mock/api-reference/pay-api/v1/devices \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
devicesArray of objects or null

Indicates a list of devices associated with the current merchant.

Response
{ "devices": [ { "deviceId": "7aafd09f-b3e6-43fb-b815-5db3bf7f1451", "deviceName": "iPhone12,1", "lastLoginAt": "2026-01-19T14:27:02.767105Z", "apiKeyName": "Peppared's Cafe Key", "tapToPayStatus": "Active", "tapToPayStatusId": 2, "tapToPayEnabled": true, "userProfiles": [ { "id": "04103b7f-c2fc-444b-b1ab-93eee3aec815", "firstName": "Alexandro", "lastName": "Peppared", "email": "peppared@example.com" } ] } ] }